curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-reassign-owner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matrixIds": [
"5568843e-75f0-49cf-bb17-3f9dab803ace",
"3ff1f935-997d-4805-bc0a-3d1441ce173a"
],
"ownerId": "de77657c-534f-46e0-8f41-fa51d6a755b3"
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}
}curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-reassign-owner \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matrixIds": [
"5568843e-75f0-49cf-bb17-3f9dab803ace",
"3ff1f935-997d-4805-bc0a-3d1441ce173a"
],
"ownerId": "de77657c-534f-46e0-8f41-fa51d6a755b3"
}
'{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?